| LicenseSpring .Net SDK 8.1.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.LicenseWatchdogSettings Class Reference

Class that holds settings of license watchdog. More...

Inheritance diagram for LicenseSpring.LicenseWatchdogSettings:

## Public Member Functions
| LicenseWatchdogSettings ()
| LicenseWatchdogSettings default constructor.
| LicenseWatchdogSettings (LicenseWatchdogCallback callback, uint timeout=0)
| LicenseWatchdogSettings constructor.

## Properties
bool | HandleNoInternet`[get, set]`
| Indicates if you want to run license checks more often if NetworkException or LicenseServerException encountered.The default value is false. If set to true, the checks will run every minute. Use NoInternetTimeout to set custom timeout for these checks. The watchdog will resume checks with the normal timeout after a successful license check. The watchdog will not stop after NetworkException or LicenseServerException and will not require calling License.ResumeLicenseWatchdog.
bool | IncludeExpiredFeatures`[get, set]`
| If set to true updates local license data to include expired license features.
uint | NoInternetTimeout`[get, set]`
| Custom watchdog timeout in seconds for the case if NetworkException or LicenseServerException encountered.Meaningful only if HandleNoInternet is set to true. By default the checks will run every minute. The minimum value is 15 seconds. Watchdog will resume checks with the normal timeout after a successful license check.
bool | RunCallbackOnEveryCheck`[get, set]`
| Indicates if you want to run the callback after every check.The default value is false, callback will run only in case of errors. WatchdogCallback must handle null value of the argument if RunOnEveryCheck is set to true.
uint | Timeout`[get, set]`
| Timeout in minutes, 0 means use default.Default value is 0. By default the timeout will be set to FloatingTimeout if the license is floating. The default timeout for not floating license is 1 hour.
LicenseWatchdogCallback | WatchdogCallback`[get, set]`
| This function will be called back in case of errors or after every check.
Properties inherited from LicenseSpring.ILicenseWatchdogSettings

## Detailed Description

Class that holds settings of license watchdog.

See `ILicense.SetupLicenseWatchdog`

## Constructor & Destructor Documentation

## ◆ LicenseWatchdogSettings()

LicenseSpring.LicenseWatchdogSettings.LicenseWatchdogSettings | ( | LicenseWatchdogCallback | callback,
|  | uint | timeout = `0`
| ) |  |

LicenseWatchdogSettings constructor.

Parameters

  callback | This function will be called back in case of errors or after every check
  timeout | Timeout in minutes, 0 means use default

## Property Documentation

## ◆ HandleNoInternet

bool LicenseSpring.LicenseWatchdogSettings.HandleNoInternet
| get set

Indicates if you want to run license checks more often if NetworkException or LicenseServerException encountered.The default value is false.
If set to true, the checks will run every minute. Use NoInternetTimeout to set custom timeout for these checks.
The watchdog will resume checks with the normal timeout after a successful license check.
The watchdog will not stop after NetworkException or LicenseServerException and will not require calling License.ResumeLicenseWatchdog.

Implements LicenseSpring.ILicenseWatchdogSettings.

## ◆ IncludeExpiredFeatures

bool LicenseSpring.LicenseWatchdogSettings.IncludeExpiredFeatures
| get set

If set to true updates local license data to include expired license features.

Implements LicenseSpring.ILicenseWatchdogSettings.

## ◆ NoInternetTimeout

uint LicenseSpring.LicenseWatchdogSettings.NoInternetTimeout
| get set

Custom watchdog timeout in seconds for the case if NetworkException or LicenseServerException encountered.Meaningful only if HandleNoInternet is set to true.
By default the checks will run every minute.
The minimum value is 15 seconds.
Watchdog will resume checks with the normal timeout after a successful license check.

Implements LicenseSpring.ILicenseWatchdogSettings.

## ◆ RunCallbackOnEveryCheck

bool LicenseSpring.LicenseWatchdogSettings.RunCallbackOnEveryCheck
| get set

Indicates if you want to run the callback after every check.The default value is false, callback will run only in case of errors.
WatchdogCallback must handle null value of the argument if RunOnEveryCheck is set to true.

Implements LicenseSpring.ILicenseWatchdogSettings.

## ◆ Timeout

uint LicenseSpring.LicenseWatchdogSettings.Timeout
| get set

Timeout in minutes, 0 means use default.Default value is 0.
By default the timeout will be set to FloatingTimeout if the license is floating.
The default timeout for not floating license is 1 hour.

Implements LicenseSpring.ILicenseWatchdogSettings.

## ◆ WatchdogCallback

LicenseWatchdogCallback LicenseSpring.LicenseWatchdogSettings.WatchdogCallback
| get set

This function will be called back in case of errors or after every check.

Implements LicenseSpring.ILicenseWatchdogSettings.

The documentation for this class was generated from the following file:

- LicenseWatchdogSettings.cs